Package alt.javax.mail

# Class ServiceImpl

java.lang.Object
alt.javax.mail.ServiceImpl

All Implemented Interfaces:
  `Service`

Direct Known Subclasses:
  `TransportImpl`

public class ServiceImpl extends Object implements Service

## Constructor Summary

Constructors
Constructor
Description
`ServiceImpl(javax.mail.Service service)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConnectionListener(ConnectionListener connectionListener)`
`void`
`close()`
`void`
`connect()`
`void`
`connect(String host, int port, String user, String password)`
`void`
`connect(String host, String user, String password)`
`URLName`
`getURLName()`
`boolean`
`isConnected()`
`void`
`removeConnectionListener(ConnectionListener connectionListener)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServiceImpl

public ServiceImpl(javax.mail.Service service)

## Method Details

### connect

public void connect() throws MessagingException

Specified by:
  `connect` in interface `Service`
Throws:
  `MessagingException`

### connect

public void connect(String host, String user, String password) throws MessagingException

Specified by:
  `connect` in interface `Service`
Throws:
  `MessagingException`

### connect

public void connect(String host, int port, String user, String password) throws MessagingException

Specified by:
  `connect` in interface `Service`
Throws:
  `MessagingException`

### isConnected

public boolean isConnected()

Specified by:
  `isConnected` in interface `Service`

### close

public void close() throws MessagingException

Specified by:
  `close` in interface `Service`
Throws:
  `MessagingException`

### getURLName

public URLName getURLName()

Specified by:
  `getURLName` in interface `Service`

### addConnectionListener

public void addConnectionListener(ConnectionListener connectionListener)

Specified by:
  `addConnectionListener` in interface `Service`

### removeConnectionListener

public void removeConnectionListener(ConnectionListener connectionListener)

Specified by:
  `removeConnectionListener` in interface `Service`

### toString

public String toString()

Specified by:
  `toString` in interface `Service`
Overrides:
  `toString` in class `Object`